/*=============================================================================
Turing Machine Debugger
  Copyright (C) Jan Engelhardt <jengelh [at] linux01 gwdg de>, 2004
  -- License restrictions apply (Dual FAL/GPL2)
  -- For details see doc/FAL.txt and doc/GPL2.txt.
=============================================================================*/
#ifndef TAPE_HPP
#define TAPE_HPP 1

class Tape {
  public:
    Tape(const char * = NULL, int = 0);

    char read(void);
    void write(char);
    int movl(void);
    int movr(void);

    char *data;
    int pos;
};

#endif // TAPE_HPP

//==[ End of file ]============================================================
