/*=============================================================================
Turing Machine Debugger
  Copyright (C) Jan Engelhardt <jengelh [at] linux01 gwdg de>, 2004
  -- License restrictions apply (Dual FAL/GPL2)
  -- For details see doc/FAL.txt and doc/GPL2.txt.
=============================================================================*/
#include "wx/wx.h"
#include "main.hpp"
#include "sim.hpp"

//-----------------------------------------------------------------------------
class MyApp : public wxApp {
  public:
    bool OnInit(void);
};

IMPLEMENT_APP(MyApp);

bool MyApp::OnInit(void) {
    Simulator *sim = new Simulator("Turing Machine Debugger",
     wxDefaultPosition, wxSize(600, 400));
    SetTopWindow(sim);
    sim->Show(TRUE);
    return TRUE;
}

//==[ End of file ]============================================================
